# logger.h File Reference

## Namespaces

namespace | log4cxx
namespace | log4cxx::helpers
namespace | log4cxx::spi

## Classes

class | Logger
| This is the central class in the log4cxx package. More...

## Defines

#define | LOG4CXX_UNLIKELY(expr) expr
| Provides optimization hint to the compiler to optimize for the expression being false.
#define | LOG4CXX_LOG(logger, level, message)
| Logs a message to a specified logger with a specified level.
#define | LOG4CXX_LOGLS(logger, level, message)
| Logs a message to a specified logger with a specified level.
#define | LOG4CXX_DEBUG(logger, message)
| Logs a message to a specified logger with the DEBUG level.
#define | LOG4CXX_TRACE(logger, message)
| Logs a message to a specified logger with the TRACE level.
#define | LOG4CXX_INFO(logger, message)
| Logs a message to a specified logger with the INFO level.
#define | LOG4CXX_WARN(logger, message)
| Logs a message to a specified logger with the WARN level.
#define | LOG4CXX_ERROR(logger, message)
| Logs a message to a specified logger with the ERROR level.
#define | LOG4CXX_ASSERT(logger, condition, message)
| Logs a error if the condition is not true.
#define | LOG4CXX_FATAL(logger, message)
| Logs a message to a specified logger with the FATAL level.
#define | LOG4CXX_L7DLOG(logger, level, key)
| Logs a localized message with no parameter.
#define | LOG4CXX_L7DLOG1(logger, level, key, p1)
| Logs a localized message with one parameter.
#define | LOG4CXX_L7DLOG2(logger, level, key, p1, p2)
| Logs a localized message with two parameters.
#define | LOG4CXX_L7DLOG3(logger, level, key, p1, p2, p3)
| Logs a localized message with three parameters.

## Functions

| log4cxx::spi::LOG4CXX_PTR_DEF (LoggerRepository)
| log4cxx::spi::LOG4CXX_PTR_DEF (LoggerFactory)
| log4cxx::LOG4CXX_PTR_DEF (Logger)
| smart pointer to a Logger class
| log4cxx::LOG4CXX_LIST_DEF (LoggerList, LoggerPtr)